<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>

    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css"
    />

    <link rel="stylesheet" href="style.css" />

    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Montserrat&display=swap"
      rel="stylesheet"
    />
  </head>
  <body>
    <!-- section1 -->
    <div class="bg px-4">
      <nav class="navbar navbar-expand-lg px-0">
        <a class="navbar-brand vac-brand" href="#">
          <div class="mb-1">Vaccination.ng</div>
          <div style="width: 100px; height: 3px; background: #17c2ec;"></div>
        </a>
        <button
          class="navbar-toggler"
          type="button"
          data-toggle="collapse"
          data-target="#navbarSupportedContent"
          aria-controls="navbarSupportedContent"
          aria-expanded="false"
          aria-label="Toggle navigation"
        >
          <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav mx-auto">
            <li class="nav-item ml-1">
              <a class="nav-link" href="#"
                ><span class="menu-item" style="color: #fff;">Home</span></a
              >
            </li>
            <li class="nav-item ml-1">
              <a class="nav-link" href="#"
                ><span class="menu-item">Services</span></a
              >
            </li>
            <li class="nav-item ml-1">
              <a class="nav-link" href="#"
                ><span class="menu-item">Schedule</span></a
              >
            </li>
            <li class="nav-item ml-1">
              <a class="nav-link" href="#"
                ><span class="menu-item">Contact us</span></a
              >
            </li>
          </ul>
        </div>
        <button class="btn-check">Check Status</button>
      </nav>

      <div class="bg-right">
        <div class="row">
          <div class="col-md-7">
            <div class="get-vac">Get Vaccinated. Boost your Immune System</div>
            <div class="covid-19">
              COVID-19 Vaccination <br />
              Got Easier With, <br />
              <span class="covid-span">Vaccination.ng</span>
            </div>
            <div class="vaccination">
              Vaccination.ng will help you find the nearest centre for
              vaccination, in all 36 states in Nigeria.
            </div>
            <div style="display: flex;">
              <button class="get-vac-btn" id="get-vac-btn">Get Vaccine</button>
              <button class="help-btn" id="help-btn">Help Centre</button>
            </div>
            <div
              style="
                display: flex;
                align-items: center;
                margin-top: 8rem;
                margin-bottom: 1rem;
              "
            >
              <div class="clock-icon">
                <img
                  src="images/clock.png"
                  style="width: 30px; height: 30px;"
                />
              </div>
              <div class="schedule">Schedule your Vaccination</div>
            </div>
          </div>
        </div>
      </div>

      <div class="layer">
        <div class="lo-container">
          <div style="display: flex; align-items: center;">
            <div class="clock-icon">
              <img
                src="images/map-pin.png"
                style="width: 30px; height: 30px;"
              />
            </div>
            <div style="margin-left: 1rem;">
              <div class="lo1">Location</div>
              <div class="lo2">Ikeja Lagos, Nigeria</div>
            </div>
          </div>
          <div style="display: flex; align-items: center;">
            <div class="clock-icon">
              <img
                src="images/map-pin.png"
                style="width: 30px; height: 30px;"
              />
            </div>
            <div style="margin-left: 1rem;">
              <div class="lo1">Location</div>
              <div class="lo2">Ikeja Lagos, Nigeria</div>
            </div>
          </div>
          <div style="display: flex; align-items: center;">
            <div class="clock-icon">
              <img
                src="images/map-pin.png"
                style="width: 30px; height: 30px;"
              />
            </div>
            <div style="margin-left: 1rem;">
              <div class="lo1">Location</div>
              <div class="lo2">Ikeja Lagos, Nigeria</div>
            </div>
          </div>
          <button class="submit-btn">Submit</button>
        </div>
      </div>
    </div>

    <img src="images/Vaccine-types.png" style="width: 100%;" />

    <div class="bg p-4">
      <div class="check-container" style="padding-bottom: 2rem;">
        <div class="check-tittle">
          Check your COVID-19 result on our Database
        </div>
        <div style="padding-left: 3rem; padding-right: 3rem;">
          <div
            style="
              display: flex;
              justify-content: space-between;
              margin-top: 2rem;
              margin-bottom: 2rem;
            "
          >
            <input class="check-input" type="text" />
            <input class="check-input" type="text" />
            <button class="check-btn">Check</button>
          </div>
          <div class="need">
            Need a certificate for your COVID-19 result? Please click
            <span style="text-decoration-line: underline;">here</span>
          </div>
        </div>
      </div>
    </div>

    <!-- Get vac register -->
    <div class="p-4">
      <div class="row">
        <div class="col-md-7" style="padding-right: 4rem;">
          <div class="get-your-vac">
            Get your vaccine <br />
            registration today
          </div>
          <div
            class="get-your-vac"
            style="font-size: 24px; margin-top: 2.5rem; margin-bottom: 1rem;"
          >
            Patient’s Full Name
          </div>
          <input
            class="get-input"
            style="width: 100%;"
            type="text"
            placeholder="Full name"
            id="get-vac-form-input"
          />
          <div
            class="get-your-vac"
            style="font-size: 24px; margin-top: 2.5rem; margin-bottom: 1rem;"
          >
            Mobile Number
          </div>
          <div class="noti" style="margin-bottom: 1rem;">
            Notifications for appointment and reminders will be sent to this
            provided number
          </div>
          <div style="display: flex; justify-content: space-between;">
            <input
              class="get-input"
              id="number-input"
              type="text"
              placeholder="Phone number"
            />
            <button class="verify-btn" id="verify-btn">Verify</button>
          </div>
          <button
            class="verify-btn"
            id="submit-btn"
            style="
              width: 100%;
              padding: 1rem;
              margin-top: 2rem;
              margin-bottom: 2rem;
            "
          >
            Submit
          </button>

          <div class="get-span">
            <span>Already registered ? </span>
            <span style="color: #17c2ec;">Check your status</span>
          </div>
        </div>
        <div class="col-md-5" style="display: flex;">
          <img src="images/Group45.png" />
        </div>
      </div>
    </div>

    <img src="images/Symptoms.png" style="width: 100%;" />

    <!-- Final section -->
    <div class="p-2 text-center bg1">
      <div class="feedback">FEEDBACK</div>
      <div class="what-our">What our Patients Think</div>
      <div class="adip">
        Adipiscing nec etiam tortor elit quisque. Arcu aliquet convallis aenean
        eu velit. Mi vestibulum, ullamcorper venenatis imperdiet augue arcu
        donec neque.
      </div>
      <div class="row m-0" style="margin-bottom: 20rem;">
        <div class="col-md-4">
          <div class="oy-container">
            <div
              style="
                display: flex;
                align-items: center;
                margin-top: 1.8rem;
                margin-bottom: 2.5rem;
              "
            >
              <img
                src="images/Rectangle25.png"
                style="width: 70px; height: 70px; margin-right: 1rem;"
              />
              <div>
                <div class="oy1">Oyindamola Maja</div>
                <div class="oy2">Badagry, Lagos</div>
              </div>
            </div>
            <div class="been">
              “Been stressing about a close centre to get the
              <span style="color: #17c2ec;">covid-19</span> vaccine, until i
              tried Vaccination.ng”
            </div>
          </div>
        </div>

        <div class="col-md-4">
          <div class="oy-container" style="background: #17c2ec;">
            <div
              style="
                display: flex;
                align-items: center;
                margin-top: 1.8rem;
                margin-bottom: 2.5rem;
              "
            >
              <img
                src="images/Rectangle24.png"
                style="width: 70px; height: 70px; margin-right: 1rem;"
              />
              <div>
                <div class="oy1" style="color: #fff;">Okeowo Lekan</div>
                <div class="oy2" style="color: rgba(255, 255, 255, 0.75);">
                  Ikeja, Lagos
                </div>
              </div>
            </div>
            <div class="been" style="color: rgba(255, 255, 255, 0.75);">
              “Got my vaccine very close to my house. Was very easy scheduling
              an appointment.”
            </div>
          </div>
        </div>

        <div class="col-md-4">
          <div class="oy-container">
            <div
              style="
                display: flex;
                align-items: center;
                margin-top: 1.8rem;
                margin-bottom: 2.5rem;
              "
            >
              <img
                src="images/Rectangle26.png"
                style="width: 70px; height: 70px; margin-right: 1rem;"
              />
              <div>
                <div class="oy1">Kafaru Temitope</div>
                <div class="oy2">Obanikoro, Lagos</div>
              </div>
            </div>
            <div class="been">
              “Been stressing about a close centre to get the
              <span style="color: #17c2ec;">covid-19</span> vaccine, until i
              tried Vaccination.ng”
            </div>
          </div>
        </div>
      </div>
      <div style="height: 20rem; color: transparent;"></div>
    </div>

    <div
      class="bg px-4"
      style="padding-top: 20rem; padding-bottom: 2rem; position: relative;"
    >
      <div style="position: absolute; top: -50%; left: 0rem; width: 100%;">
        <div class="layer1">
          <div class="get-q-container">
            <div class="get-a">Get a quote</div>
            <div class="please">Please do enter your email address below</div>
            <div
              style="
                display: flex;
                justify-content: center;
                margin-top: 2.5rem;
                margin-bottom: 6.5rem;
              "
            >
              <input
                id="email-input"
                class="get-quote-input"
                type="text"
                placeholder="lenux.ng@gmail.com"
              />
              <div class="send-img" id="send">
                <img src="images/send.png" alt="" />
              </div>
            </div>
          </div>
        </div>
      </div>

      <nav class="navbar navbar-expand-lg px-0">
        <a class="navbar-brand vac-brand" href="#">
          <div class="mb-1">Vaccination.ng</div>
          <div style="width: 100px; height: 3px; background: #17c2ec;"></div>
        </a>
        <button
          class="navbar-toggler"
          type="button"
          data-toggle="collapse"
          data-target="#navbarSupportedContent"
          aria-controls="navbarSupportedContent"
          aria-expanded="false"
          aria-label="Toggle navigation"
        >
          <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav mx-auto">
            <li class="nav-item ml-1">
              <a class="nav-link" href="#"
                ><span class="menu-item" style="color: #fff;">Home</span></a
              >
            </li>
            <li class="nav-item ml-1">
              <a class="nav-link" href="#"
                ><span class="menu-item">Services</span></a
              >
            </li>
            <li class="nav-item ml-1">
              <a class="nav-link" href="#"
                ><span class="menu-item">Schedule</span></a
              >
            </li>
            <li class="nav-item ml-1">
              <a class="nav-link" href="#"
                ><span class="menu-item">Contact us</span></a
              >
            </li>
          </ul>
        </div>
        <img src="images/Group81.png" style="width: 15%;" />
      </nav>
    </div>
  </body>
</html>

<script>
  $("#get-vac-btn").on("click", function () {
    $("#get-vac-form-input").focus();
  });

  $("#verify-btn").on("click", function () {
    var vPhone = $("#number-input").val();

    if (validatePhone(vPhone) == false) {
      alert("Số điện thoại nhập vào không đúng định dạng!");
    } else {
      alert("Số điện thoại hợp lệ!");
    }
  });

  $("#submit-btn").on("click", function () {
    createUser();
  });

  $("#help-btn").on("click", function () {
    $("#email-input").focus();
  });

  $("#send").on("click", function () {
    createContact();
  });

  //hàm kiểm tra số điện thoại
  function validatePhone(paramPhone) {
    // Số điện thoại phải nhập là số, có dấu + hoặc số 0 ở đầu; độ dài từ 10 đến 12 ký tự

    if (isNaN(paramPhone)) {
      return false;
    }

    if (paramPhone.charAt(0) != "0" && paramPhone.charAt(0) != "+") {
      return false;
    }

    if (paramPhone.length < 10 || paramPhone.length > 12) {
      return false;
    }

    return true;
  }

  //hàm tạo user
  function createUser() {
    // khai báo đối tượng chứa data
    var vUserObj = {
      fullName: "",
      phone: "",
    };
    // B1: Thu thập dữ liệu
    getCreateUserData(vUserObj);
    // B2: Validate insert
    var vIsUserValidate = validateUserData(vUserObj);
    if (vIsUserValidate) {
      // B3: insert data
      $.ajax({
        type: "post",
        headers: {
          "Content-Type": "application/json",
        },
        url: "http://localhost:8000/api/v1/users",
        dataType: "json",
        data: JSON.stringify(vUserObj),
        success: function (paramData) {
          console.log(paramData);
          alert("Tạo user thành công!");
        },
        error: function (error) {
          console.log(error);
        },
      });
    }
  }

  //hàm lấy data user
  function getCreateUserData(paramUserObj) {
    paramUserObj.fullName = $("#get-vac-form-input").val().trim();
    paramUserObj.phone = $("#number-input").val().trim();
  }

  //hàm kiểm tra data
  function validateUserData(paramUserObj) {
    if (paramUserObj.fullName == "") {
      alert("Full name cần nhập");
      return false;
    }

    if (validatePhone(paramUserObj.phone) == false) {
      alert("Số điện thoại nhập vào không đúng định dạng!");
      return false;
    }

    return true;
  }

  //hàm tạo contact
  function createContact() {
    // khai báo đối tượng chứa data
    var vContactObj = {
      email: "",
    };
    // B1: Thu thập dữ liệu
    getCreateContactData(vContactObj);
    // B2: Validate insert
    var vIsContactValidate = validateContactData(vContactObj);
    if (vIsContactValidate) {
      // B3: insert data
      $.ajax({
        type: "post",
        headers: {
          "Content-Type": "application/json",
        },
        url: "http://localhost:8000/api/v1/contacts",
        dataType: "json",
        data: JSON.stringify(vContactObj),
        success: function (paramData) {
          console.log(paramData);
          alert("Tạo contact thành công!");
        },
        error: function (error) {
          console.log(error);
        },
      });
    }
  }

  //hàm lấy data contact
  function getCreateContactData(paramContactObj) {
    paramContactObj.email = $("#email-input").val().trim();
  }

  //hàm kiểm tra data
  function validateContactData(paramContactObj) {
    if (paramContactObj.email == "") {
      alert("Email cần nhập");
      return false;
    }

    if (validateEmail(paramContactObj.email) == false) {
      alert("Email nhập vào không đúng định dạng!");
      return false;
    }

    return true;
  }

  // hàm kiểm tra email đúng định dạng ko?
  function validateEmail(paramEmail) {
    var vValidRegex = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|.(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
    if (paramEmail.match(vValidRegex)) {
      return true;
    } else {
      return false;
    }
  }
</script>
